## CSP_SNAPSHOT_20190518-1.Win32.i686%2Bsse2%2B2.7z

=== Win32/DOC/Qt-5.12.3/Makefile ===
#############################################################################
# Makefile for building: qt
# Generated by qmake (3.1) (Qt 5.12.3)
# Project:  qt.pro
# Template: subdirs
# Command: /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/bin/qmake -o Makefile qt.pro -- -release -optimized-tools -platform linux-g++ -prefix /usr/local/i586-mingw-msvc/5.12/mingw_82x -opensource -confirm-license -xplatform win32-g++ -qt-libpng -qt-libjpeg -qt-freetype -device-option CROSS_COMPILE=i686-w64-mingw32- -no-compile-examples -skip qtactiveqt -skip qtwebglplugin -skip qtwebengine -skip qtwebview -skip qtquickcontrols -skip qtlocation -icu -nomake tests -c++std c++14 -I /usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32/include/SDL2 -I /usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32/include -L /usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32/lib -I /usr/local/i586-mingw-msvc/DirectX_June_2010/Include -L /usr/local/i586-mingw-msvc/DirectX_June_2010/Lib/x86 -I /usr/local/i586-mingw-msvc/Vulkan/include -I /usr/local/i586-mingw-msvc/Vulkan/include/vulkan -L /usr/local/i586-mingw-msvc/Vulkan/lib -device-option SDL_PREFIX=/usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32 -device-option SDL2_PREFIX=/usr/local/i586-mingw-msvc/SDL/i686-w64-mingw32 -device-option ICU_PREFIX=/usr/local/i586-mingw-msvc/icu -device-option OPENGL_ES2_PREFIX=/usr/local/i586-mingw-msvc/Angle -device-option VULKAN_PREFIX=/usr/local/i586-mingw-msvc/Vulkan -device-option LIBS_OPENGL_ES2+=GLESv2 -device-option LIBS_OPENGL_ES2+=EGL -device-option LIBEGL_NAME=EGL.dll -device-option LIBGLESV2_NAME=GLESv2.dll -opengl dynamic -no-eglfs -no-evr -feature-direct3d9 -feature-vulkan -pkg-config
#############################################################################

MAKEFILE      = Makefile

EQ            = =

first: make_first
QMAKE         = /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/bin/qmake -install qinstall
QINSTALL_PROGRAM = /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
SUBTARGETS    =  \
		module-qtbase \
		module-qtnetworkauth \
		module-qtmacextras \
		module-qtx11extras \
		module-qtandroidextras \
		module-qtserialport \
		module-qtserialbus \
		module-qtimageformats \
		module-qtsvg \
		module-qtdeclarative \
		module-qtremoteobjects \
		module-qtscxml \
		module-qtpurchasing \
		module-qtcanvas3d \
		module-qtwebsockets \
		module-qtwebchannel \
		module-qtgamepad \
		module-qt3d \
		module-qtwayland \
		module-qtconnectivity \
		module-qtsensors \
		module-qtgraphicaleffects \
		module-qtquickcontrols2 \
		module-qtxmlpatterns \
		module-qtmultimedia \
		module-qtspeech \
		module-qtvirtualkeyboard \
		module-qtdatavis3d \
		module-qtcharts \
		module-qtwinextras \
		module-qttools \
		module-qtscript \
		module-qttranslations \
		module-qtdoc


module-qtbase-qmake_all:  FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro
	cd qtbase/ && $(MAKE) -f Makefile qmake_all
module-qtbase: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile
module-qtbase-make_first: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile 
module-qtbase-all: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile all
module-qtbase-clean: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile clean
module-qtbase-distclean: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile distclean
module-qtbase-install_subtargets: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile install
module-qtbase-uninstall_subtargets: FORCE
	@test -d qtbase/ || mkdir -p qtbase/
	cd qtbase/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtbase/qtbase.pro ) && $(MAKE) -f Makefile uninstall
module-qtnetworkauth-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro
	cd qtnetworkauth/ && $(MAKE) -f Makefile qmake_all
module-qtnetworkauth: module-qtbase FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile
module-qtnetworkauth-make_first: module-qtbase-make_first FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile 
module-qtnetworkauth-all: module-qtbase-all FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile all
module-qtnetworkauth-clean: module-qtbase-clean FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile clean
module-qtnetworkauth-distclean: module-qtbase-distclean FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile distclean
module-qtnetworkauth-install_subtargets: module-qtbase-install_subtargets FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile install
module-qtnetworkauth-uninstall_subtargets: module-qtbase-uninstall_subtargets FORCE
	@test -d qtnetworkauth/ || mkdir -p qtnetworkauth/
	cd qtnetworkauth/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtnetworkauth/qtnetworkauth.pro ) && $(MAKE) -f Makefile uninstall
module-qtmacextras-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro
	cd qtmacextras/ && $(MAKE) -f Makefile qmake_all
module-qtmacextras: module-qtbase FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile
module-qtmacextras-make_first: module-qtbase-make_first FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile 
module-qtmacextras-all: module-qtbase-all FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile all
module-qtmacextras-clean: module-qtbase-clean FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile clean
module-qtmacextras-distclean: module-qtbase-distclean FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile distclean
module-qtmacextras-install_subtargets: module-qtbase-install_subtargets FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile install
module-qtmacextras-uninstall_subtargets: module-qtbase-uninstall_subtargets FORCE
	@test -d qtmacextras/ || mkdir -p qtmacextras/
	cd qtmacextras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtmacextras/qtmacextras.pro ) && $(MAKE) -f Makefile uninstall
module-qtx11extras-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro
	cd qtx11extras/ && $(MAKE) -f Makefile qmake_all
module-qtx11extras: module-qtbase FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile
module-qtx11extras-make_first: module-qtbase-make_first FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile 
module-qtx11extras-all: module-qtbase-all FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile all
module-qtx11extras-clean: module-qtbase-clean FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile clean
module-qtx11extras-distclean: module-qtbase-distclean FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile distclean
module-qtx11extras-install_subtargets: module-qtbase-install_subtargets FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile install
module-qtx11extras-uninstall_subtargets: module-qtbase-uninstall_subtargets FORCE
	@test -d qtx11extras/ || mkdir -p qtx11extras/
	cd qtx11extras/ && ( test -e Makefile || $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtx11extras/qtx11extras.pro ) && $(MAKE) -f Makefile uninstall
module-qtandroidextras-qmake_all: module-qtbase-qmake_all FORCE
	@test -d qtandroidextras/ || mkdir -p qtandroidextras/
	cd qtandroidextras/ && $(QMAKE) -o Makefile /u1x/40/Virtual/src/qt-everywhere-src-5.12.3/qtandroidextras/qtandroidextras.pro
	cd qtandroidextras/ && $(MAKE) -f Makefile qmake_all

=== source/src/qt/CMakeLists.txt ===
message("* qt/osd")
SET(THIS_LIB_VERSION 2.19.1)

set(s_qt_osd_headers
	osd_base.h
)
#include(PrecompiledHeader)

if(USE_QT_5)
  QT5_WRAP_CPP(s_qt_osd_headers_MOC ${s_qt_osd_headers})
else()
  QT4_WRAP_CPP(s_qt_osd_headers_MOC ${s_qt_osd_headers})
endif()

SET(s_qt_osd_srcs
#	  pch.cpp
      osd_base.cpp
	  osd_screen.cpp
	  osd_console.cpp
	  osd_input.cpp
	  osd_printer.cpp
	  osd_socket.cpp
	  osd_sound.cpp
	  osd_video.cpp
	  ${s_qt_osd_headers_MOC}

)
add_definitions(-D__LIBOSD_VERSION=\"libCSPosd.${THIS_LIB_VERSION}\")

if(WIN32)
#add_library(qt_osd
#    ${s_qt_osd_srcs}
#    ${s_qt_osd_headers_MOC}
#    )
#set_property(TARGET qt_osd PROPERTY INTERPROCEDURAL_OPTIMIZATION True)
include (GenerateExportHeader)
  add_library(CSPosd SHARED
    ${s_qt_osd_srcs}
    ${s_qt_osd_headers_MOC}
  )

target_link_libraries(CSPosd PUBLIC
          PRIVATE  ${CMAKE_SOURCE_DIR}/../../build-cmake/bin-win32/libCSPemu_utils.dll.a
#          ${CMAKE_SOURCE_DIR}/../../build-cmake/bin-win32/libCSPgui.dll.a
#          ${CMAKE_SOURCE_DIR}/../../build-cmake/bin-win32/libqt_avio.a
          PUBLIC
	  Qt5::Core
	  Qt5::Gui
	  Qt5::OpenGL
	  Qt5::Widgets
	  ${SDL2_LIBRARIES}
	  )
generate_export_header(CSPosd
       BASE_NAME CSPosd
       EXPORT_MACRO_NAME CSPosd_EXPORT
       EXPORT_FILE_NAME CSPosd_Export.h
       STATIC_DEFINE CSPgosd_BUILT_AS_STATIC
)
  set_target_properties(CSPosd PROPERTIES 
     SOVERSION ${THIS_LIB_VERSION}
     VERSION ${THIS_LIB_VERSION}
  )

else()
	#if(USE_DEVICES_SHARED_LIB)
	  add_library(CSPosd SHARED
		${s_qt_osd_srcs}
		${s_qt_osd_headers_MOC}
#		pch.cpp
		)
#	  add_precompiled_header(CSPosd pch_list
#		SOURCE_CXX pch.cpp FORCEINCLUDE
#		)
	  target_link_libraries(CSPosd PUBLIC
		Qt5::Core
		Qt5::Gui
		Qt5::Widgets
		${SDL2_LIBRARIES}
		)
	  set_target_properties(CSPosd PROPERTIES 
		SOVERSION ${THIS_LIB_VERSION}
		VERSION ${THIS_LIB_VERSION}
		)
	  INSTALL(TARGETS CSPosd DESTINATION ${LIBCSP_INSTALL_DIR})
	#else()
	#  add_library(osd STATIC
	#	${s_qt_osd_srcs}
	#	${s_qt_osd_headers_MOC}
	#	)
	#endif()
endif()

=== source/src/qt/gui/CMakeLists.txt ===
message("* qt/gui")

set(THIS_LIB_VERSION 2.18.5)
#include(cotire)
#include(PrecompiledHeader)

set(s_qt_gui_headers
	  qt_dialogs.h
	  qt_gldraw.h
	  qt_glpack.h
	  
	  gl/qt_glutil_gl_tmpl.h
	  gl2/qt_glutil_gl2_0.h
	  gl3/qt_glutil_gl3_0.h
	  gl4_5/qt_glutil_gl4_5.h
	  gles2/qt_glutil_gles_2.h
	  
	  commonclasses.h
	  sound_dialog.h
	  mainwidget_base.h
	  menu_metaclass.h
	  menu_disk.h
	  menu_harddisk.h
	  menu_cmt.h
	  menu_cart.h
	  menu_quickdisk.h
	  menu_compactdisc.h
	  menu_laserdisc.h
	  menu_binary.h
	  menu_bubble.h
	  display_about.h
	  display_text_document.h
	  dropdown_keyset.h
	  dropdown_joystick.h
	  dropdown_jsbutton.h
	  dropdown_jspage.h

	  dropdown_joykey.h
	  dropdown_joykeybutton.h
	  dialog_set_key.h
	  dialog_set_key_combo.h
	  dialog_movie.h
	  display_log.h
	  
	  tab_movie_general.h
	  tab_movie_h264.h
	  tab_movie_mpeg4.h

	  dock_disks.h
	  
	  draw_thread.h
	  joy_thread.h
	  emu_thread_tmpl.h
	  
	  qt_debugger_tmpl.h
)


set(s_qt_gui_srcs
	  emuevents_control.cpp
	  qt_gldraw.cpp
	  qt_glutil.cpp
	  qt_glpack.cpp
	  gl2/qt_glutil_gl2_0.cpp
	  gl3/qt_glutil_gl3_0.cpp
	  gl4_5/qt_glutil_gl4_5.cpp
	  gles2/qt_glutil_gles_2.cpp
	  qt_glevents.cpp
	  qt_dialogs.cpp

	  qt_input.cpp
	  qt_drawitem.cpp
	  menu_control.cpp
	  menu_metaclass.cpp
	  menu_disk.cpp
	  menu_harddisk.cpp
	  menu_quickdisk.cpp
	  menu_compactdisc.cpp
	  menu_laserdisc.cpp
	  menu_cmt.cpp
	  menu_cart.cpp
	  menu_main.cpp
	  menu_sound.cpp
	  menu_binary.cpp
	  menu_bubble.cpp
	  menu_screen.cpp
	  mainwindow_utils.cpp
	  util_fd.cpp
	  util_hdd.cpp
	  util_cd.cpp
	  util_ld.cpp
	  util_cmt.cpp
	  util_qd.cpp
	  util_cart.cpp
	  util_binary.cpp
	  util_bubble.cpp
	  display_statusbar.cpp
	  display_about.cpp
	  display_text_document.cpp
	  sound_dialog.cpp
	  dropdown_keyset.cpp
	  dropdown_joystick.cpp
	  dropdown_jsbutton.cpp
	  dropdown_jspage.cpp

	  dropdown_joykey.cpp
	  dropdown_joykeybutton.cpp
	  
	  dialog_set_key.cpp
	  dialog_set_key_combo.cpp
	  dialog_movie.cpp
	  display_log.cpp
	  
	  tab_movie_general.cpp
	  tab_movie_h264.cpp
	  tab_movie_mpeg4.cpp

	  dock_disks.cpp
	  
	  draw_thread.cpp
	  joy_thread.cpp
	  emu_thread_tmpl.cpp
	  qt_debugger_tmpl.cpp

	  menu_flags_tmpl.cpp
	  ../common/util_fd2.cpp
	  ../common/util_hdd2.cpp
#	  ../common/util_bubble2.cpp
#	  qt_main.cpp
)
add_definitions(-D__GUI_LIBRARY_NAME=\"libCSPgui.${THIS_LIB_VERSION}\")

if(USE_QT_5)
  QT5_WRAP_CPP(s_qt_gui_headers_MOC ${s_qt_gui_headers})
#    QT5_ADD_RESOURCES(s_qt_gui_RCC ${RESOURCE}
#                      ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/commontexts.qrc
#		      ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/shaders.qrc
#		      )
    QT5_ADD_RESOURCES(s_qt_gui_RCC ${RESOURCE}
                      ${CMAKE_CURRENT_SOURCE_DIR}/../common/qrc/commontexts.qrc
		      ${CMAKE_CURRENT_SOURCE_DIR}/../common/qrc/shaders.qrc
		      )
else()
  QT4_WRAP_CPP(s_qt_gui_headers_MOC ${s_qt_gui_headers})
endif()

if(WIN32)
include (GenerateExportHeader)
add_library(CSPgui SHARED
	  ${s_qt_gui_srcs}
	  ${s_qt_gui_headers_MOC}
	  ${s_qt_gui_RCC}
	  )

target_link_libraries(CSPgui 
	  ${CMAKE_CURRENT_SOURCE_DIR}/../../../build-cmake/bin-win32/libCSPosd.dll.a
#	  ${CMAKE_CURRENT_SOURCE_DIR}/../../../build-cmake/bin-win32/libqt_avio.a
#	  ${LIBAV_LIBRARIES}
	  ${CMAKE_CURRENT_SOURCE_DIR}/../../../build-cmake/bin-win32/libCSPavio.dll.a
	  ${CMAKE_CURRENT_SOURCE_DIR}/../../../build-cmake/bin-win32/libCSPemu_utils.dll.a
	  Qt5::Core
	  Qt5::Gui
	  Qt5::OpenGL
	  Qt5::Widgets
	  ${SDL2_LIBRARIES}
	  )
set_target_properties(CSPgui PROPERTIES
			     SOVERSION ${THIS_LIB_VERSION}
			     VERSION ${THIS_LIB_VERSION}
			     LINK_INTERFACE_LIBRARIES ""
			     )
generate_export_header(CSPgui
        BASE_NAME CSPgui
        EXPORT_MACRO_NAME CSPgui_EXPORT
        EXPORT_FILE_NAME CSPgui_Export.h
        STATIC_DEFINE CSPgui_BUILT_AS_STATIC
)
else()
set(s_qt_gui_srcs ${s_qt_gui_srcs} qt_main.cpp)

add_library(CSPgui SHARED
	  ${s_qt_gui_srcs}
	  ${s_qt_gui_headers_MOC}
	  ${s_qt_gui_RCC}
)
#add_precompiled_header(CSPgui pch_list
#		SOURCE_CXX pch.cpp FORCEINCLUDE
#)
target_link_libraries(CSPgui PUBLIC
	  Qt5::Core
	  Qt5::Gui
	  Qt5::OpenGL
	  Qt5::Widgets
	  ${SDL2_LIBRARIES}
	  )

set_target_properties(CSPgui PROPERTIES 
			     SOVERSION ${THIS_LIB_VERSION}
			     VERSION ${THIS_LIB_VERSION}
			     )
INSTALL(TARGETS CSPgui DESTINATION ${LIBCSP_INSTALL_DIR})

endif()

#cotire(CSPgui)

=== source/src/vm/common_vm/CMakeLists.txt ===
message("* vm/common_vm")

SET(THIS_LIB_VERSION 2.15.0)

#include(cotire)
set(s_vm_common_vm_srcs
	../315-5124.cpp
	../am9511.cpp
	../and.cpp
	../ay_3_891x.cpp
	../beep.cpp
	../datarec.cpp
	../disk.cpp

	../harddisk.cpp
	../hd146818p.cpp
	../hd44102.cpp
	../hd46505.cpp
	../hd63484.cpp
	../huc6280_base.cpp
#	../i286.cpp
	../i386.cpp
	../i8080_base.cpp

	../i8155.cpp
	../i8237_base.cpp
	../i8251.cpp
	../i8253.cpp
	../i8255.cpp
	../i8259.cpp
#	../i86.cpp
#	../io.cpp
#	../ld700.cpp
	../ls244.cpp
	../ls393.cpp

	../m6502_base.cpp
	../mb8877.cpp
	../mc6800.cpp
	../mc6801.cpp
	../hd6301.cpp
	../mb8861.cpp
	# MC6809 is temporally.
	../mc6809_base.cpp
	../mc6820.cpp
	../mc6840.cpp
	../mc6844.cpp
	../mc6847_base.cpp
	../mc6850.cpp
	../mcs48_base.cpp
	../msm5205.cpp
	../msm58321_base.cpp
#	../mz1p17.cpp
#	../n2a03.cpp
	../nand.cpp
	../noise.cpp
	../nor.cpp
	../not.cpp
	../or.cpp
	../pc6031.cpp
	../pc80s31k.cpp
	../pcm1bit.cpp
	../prnfile.cpp
	../ptf20.cpp
	../rp5c01.cpp
#	../scsi_cdrom.cpp
#	../scsi_dev_base.cpp
#	../scsi_hdd.cpp
#	../scsi_host.cpp
	../sn76489an.cpp
#	../sy6522.cpp
	../t3444a.cpp
	../tf20.cpp
	../tms3631.cpp
	../tms9918a.cpp
#	../tms9995.cpp
	../upd16434.cpp
	../upd1990a.cpp
	../upd4991a.cpp
	../upd71071.cpp
	../upd7220.cpp
	../upd765a.cpp
	../upd7752.cpp
	../upd7801.cpp
# 20170527 UPD7180 will not add to lbCSP_common_vm.
##	../upd7810.cpp
# 20170518/MSX: Use v9938.cpp and define "-D_MSX_VDP_MESS" instead of v99x8.cpp .
	../v9938.cpp
##	../v99x8.cpp
#	../w3100a.cpp
	../ym2151.cpp
	../ym2203.cpp
	../ym2413.cpp
	../z80_base.cpp
	../z80ctc.cpp
	../z80dma.cpp
	../z80pio.cpp
	../z80sio.cpp

	# FM-7/77/AV
	../fm7/hd6844.cpp
	../fm7/mb61vh010.cpp
#	../fm7/dummydevice.cpp

	../libcpu_newdev/device.cpp
)

#set_directory_properties(PROPERTIES
#  COTIRE_PREFIX_HEADER_IGNORE_PATH ${SRC_BASE_DIR}/vm/mame
#)

add_definitions(-D__LIBRARY_NAME=\"libCSPcommon_vm.${THIS_LIB_VERSION}\")

if(WIN32)
include (GenerateExportHeader)
#add_library(CSPcommon_vm SHARED
#   ${s_vm_common_vm_srcs}
#    )
   
#target_link_libraries(CSPcommon_vm PUBLIC
#	  ${CMAKE_CURRENT_SOURCE_DIR}/../../../build-cmake/bin-win32/libCSPosd.dll.a
#	  ${CMAKE_CURRENT_SOURCE_DIR}/../../../build-cmake/bin-win32/libCSPemu_utils.dll.a
#	  Qt5::Core
#	  Qt5::Gui
#	  Qt5::OpenGL
#	  Qt5::Widgets
#	  ${SDL2_LIBRARIES}
#	  )
#set_target_properties(CSPcommon_vm PROPERTIES
#			     SOVERSION ${THIS_LIB_VERSION}
#			     VERSION ${THIS_LIB_VERSION}
#			     LINK_INTERFACE_LIBRARIES ""
#			     )
#generate_export_header(CSPcommon_vm
#       BASE_NAME CSPcommon_vm
#        EXPORT_MACRO_NAME CSPcommon_vm_EXPORT
#        EXPORT_FILE_NAME CSPcommon_vm_Export.h
#        STATIC_DEFINE CSPcommon_vm_BUILT_AS_STATIC
#)
add_library(vm_common_vm
   ${s_vm_common_vm_srcs}
    )
else()

  add_library(CSPcommon_vm SHARED
    ${s_vm_common_vm_srcs}
  )
  set_target_properties(CSPcommon_vm PROPERTIES 
     SOVERSION ${THIS_LIB_VERSION}
     VERSION ${THIS_LIB_VERSION}
  )
#  cotire(CSPcommon_vm)
  INSTALL(TARGETS CSPcommon_vm DESTINATION ${LIBCSP_INSTALL_DIR})
endif()

=== Win32/DOC/libx264-157/debian/control ===
Source: x264-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.videolan.org/developers/x264.html
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 11), libffms2-dev (>= 2.21), help2man,
 liblsmash-dev (>= 2.3.0~), nasm (>= 2.13~) [any-amd64 any-i386],
 libswscale-dev

Package: x264
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: x264-bin
Replaces: x264-bin
Description: Video encoder for the H.264/MPEG-4 AVC standard
 x264 is an advanced commandline encoder for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 x264 supports the following features:
  * CABAC (context-based adaptive binary arithmetic coding) and CAVLC
    (context-based adaptive variable length coding
  * multiple reference frames
  * 16x16, 8x8 and 4x4 intra-predicted macroblocks
  * all P-frame inter-predicted macroblock types
  * B-Inter-predicted macroblock types from 16x16 down to 8x8
  * rate distortion optimization
  * multiple rate control modes (constant quantizer, constant quality, single
    or multipass ABR with the option of VBV)
  * scene cut detection
  * adaptive B-frame placement, with the option of keeping B-frames as
    references / arbitrary frame order
  * 8x8 and 4x4 adaptive spatial transform (high profile)
  * lossless mode (high 4:4:4 profile)
  * custom quantization matrices (high profile)
  * parallel encoding on multiple CPUs
  * interlaced streams

Package: libx264-157
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: x264 video coding library
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the libx264 shared library.

Package: libx264-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libx264-157 (= ${binary:Version}), ${misc:Depends}, pkg-config
Description: Development files for libx264
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the static library and headers used to build programs
 that use libx264.

=== Win32/DOC/libx264-157/debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter mips mipsel mips64el,$(DEB_HOST_GNU_CPU)))
	confflags=--disable-asm
endif

ifeq "$(DEB_HOST_ARCH)" "arm64"
	EXTRA_LDFLAGS=-Wl,-fuse-ld=gold
	EXTRA_CFLAGS=-fuse-ld=gold
endif

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --host=$(DEB_HOST_GNU_TYPE) \
	--enable-debug --enable-static --disable-lavf --enable-shared \
	--disable-avs --enable-pic --system-libx264 \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--extra-ldflags="-Wl,-z,defs -Wl,--as-needed $(EXTRA_LDFLAGS)" $(confflags) --extra-cflags=$(EXTRA_CFLAGS)

#	exit 1

override_dh_install:

ifeq "$(DEB_BUILD_ARCH)" "amd64"
	LD_LIBRARY_PATH=$(CURDIR):$(LD_LIBRARY_PATH) help2man -N --help-option=--fullhelp --name="video encoder for the H.264/MPEG-4 AVC standard" ./x264  > debian/x264.1
endif

	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_auto_clean:
	touch config.mak

	dh_auto_clean
